Details

    • Type: Dependency upgrade
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.4.0, 3.0.2, 4.0.0.M3
    • Component/s: karaf-core
    • Labels:
      None

      Issue Links

        Activity

        Hide
        jbonofre Jean-Baptiste Onofré added a comment -

        As karaf-3.0.x uses Felix Framework 4.2.x, and this Felix version starts to implement "partial" OSGi r5 support, karaf-3.0.x has to use osgi.core 5.0.0.

        I will publish the following:

        • Karaf 4.0.x (master): full OSGi r5 (Felix Framework 4.4.0/Equinox 3.9.1)
        • Karaf 2.4.x (karaf-2.x): full OSGi r5 (Felix Framework 4.4.0/Equinox 3.9.1)
        • Karaf 3.0.x (karaf-3.0.x): full OSGi r4.3 (Felix Framework 4.2.1/Equinox 3.8.2)
        • Karaf 2.3.x (karaf-2.3.x): full OSGi r4.3 (Felix Framework 4.0.3/Equinox 3.8.0)
        Show
        jbonofre Jean-Baptiste Onofré added a comment - As karaf-3.0.x uses Felix Framework 4.2.x, and this Felix version starts to implement "partial" OSGi r5 support, karaf-3.0.x has to use osgi.core 5.0.0. I will publish the following: Karaf 4.0.x (master): full OSGi r5 (Felix Framework 4.4.0/Equinox 3.9.1) Karaf 2.4.x (karaf-2.x): full OSGi r5 (Felix Framework 4.4.0/Equinox 3.9.1) Karaf 3.0.x (karaf-3.0.x): full OSGi r4.3 (Felix Framework 4.2.1/Equinox 3.8.2) Karaf 2.3.x (karaf-2.3.x): full OSGi r4.3 (Felix Framework 4.0.3/Equinox 3.8.0)
        Show
        jbonofre Jean-Baptiste Onofré added a comment - Fixed on karaf-2.x: https://git-wip-us.apache.org/repos/asf?p=karaf.git;a=commitdiff;h=29a6965e5977fcbb3b24a657ee88c1eee4b681a4
        Hide
        jbonofre Jean-Baptiste Onofré added a comment -

        As discussed on the mailing list:

        • Karaf 4.0.x (master) is OSGi r5 / Felix Framework 4.4.x / Equinox 3.9.x
        • Karaf 3.0.x (karaf-3.0.x) is OSGi r4.3 / Felix Framework 4.2.x / Equinox 3.8.x
        • Karaf 2.4.x (karaf-2.x) is OSGi r5 / Felix Framework 4.4.0 / Equinox 3.9.x
        • Karaf 2.3.x (karaf-2.3.x) is OSGi r4.3 / Felix Framework 4.2.x / Equinox 3.8.x

        I will create Karaf 3.1.x (karaf-3.1.x) with OSGi r5 / Felix Framework 4.4.x / Equinox 3.9.x when required.

        Show
        jbonofre Jean-Baptiste Onofré added a comment - As discussed on the mailing list: Karaf 4.0.x (master) is OSGi r5 / Felix Framework 4.4.x / Equinox 3.9.x Karaf 3.0.x (karaf-3.0.x) is OSGi r4.3 / Felix Framework 4.2.x / Equinox 3.8.x Karaf 2.4.x (karaf-2.x) is OSGi r5 / Felix Framework 4.4.0 / Equinox 3.9.x Karaf 2.3.x (karaf-2.3.x) is OSGi r4.3 / Felix Framework 4.2.x / Equinox 3.8.x I will create Karaf 3.1.x (karaf-3.1.x) with OSGi r5 / Felix Framework 4.4.x / Equinox 3.9.x when required.
        Show
        jbonofre Jean-Baptiste Onofré added a comment - http://svn.apache.org/viewvc?view=revision&revision=1477932

          People

          • Assignee:
            jbonofre Jean-Baptiste Onofré
            Reporter:
            jbonofre Jean-Baptiste Onofré
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development